"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Quantity_1 = __importDefault(require("./lib/Quantity"));
/**
 * Create a new Quantity object to access conversion functions.
 * @param {string} inputMeasurement The base measurement to convert from in the form <quantity> <unit>.
 * For example, 12 cups. Quantities can be integers or decimals, so 15.5 tablespoons is also
 * acceptable. The interpreter also understands most abbreviated units, e.g. 1 oz.
 */
var measure = function (inputMeasurement) { return new Quantity_1.default(inputMeasurement); };
module.exports = measure;
exports.default = measure;
